Bug 813796 - libtiff: (Heap-based) Array index error leading to NULL pointer dereference by parsing registered tags information
libtiff: (Heap-based) Array index error leading to NULL pointer dereference b...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Red Hat Product Security
impact=none,public=20120408,reported=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 08:58 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-18 04:30:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-04-18 08:58:17 EDT
An array index error, leading to out-of heap-based buffer read and subsequent NULL pointer dereference flaw was found in the way libtiff, library of functions for manipulating TIFF image format files, performed processing of tags information (checking for data type) by reading certain TIFF images. A remote attacker could provide a specially-crafted TIFF image file, which once processed in an application, linked against libtiff, would lead to that application crash.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=668087
Comment 7 Huzaifa S. Sidhpurwala 2012-06-18 04:30:14 EDT
The maximum impact of this flaw would be application crash (which is linked against libtiff) due to NULL pointer de-reference and therefore is not exploitable.

Statement:

Red Hat does not consider crash of end user application (such as application linked against libtiff) to be a security flaw.

Note You need to log in before you can comment on or make changes to this bug.